%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define srcname adns-python

Name:           python-adns
Version:        1.2.1
Release:        5%{?dist}

Summary:        Python interface for the GNU adns library
Group:          Development/Languages
# Source code does not specify a version of the GPL.
License:        GPL+
URL:		http://code.google.com/p/adns-python/
Source0:	http://adns-python.googlecode.com/files/adns-python-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel, adns-devel >= 1.2

%description
The adns module provides an interface to the GNU ADNS asynchronous DNS
resolver library.

%prep
%setup -q -n %{srcname}-%{version}

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc GPL README
%{python_sitearch}/*

%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.2.1-4
- Rebuild for Python 2.6

* Wed May 21 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.2.1-3
- fix license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.2.1-2
- Autorebuild for GCC 4.3

* Mon Oct  1 2007 Radek Vokál <rvokal@redhat.com> - 1.2.1-1
- upgrade to 1.2.1
- fixed URL and Source

* Thu Dec 21 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 1.1.0-5
- Rebuild for new Python.
- Some minor specfile cleanups to meet packaging guidelines;
  I hope nobody minds.

* Tue Sep 26 2006 Radek Vokal <rvokal@redhat.com> 1.1.0-4
- rebuilt

* Tue May  9 2006 Mihai Ibanescu <misa@redhat.com> 1.1.0-3
- added patch to make it compile with adns >= 1.2 (adns__rrt_typemask was
  renamed to adns_rrt_typemask). The patch also adds support for SRV records
  (adns 1.2 has that, just need them exposed in the bindings).

* Wed Apr 13 2005 Colin Charles <colin@fedoraproject.org> - 1.1.0-1
- new upstream 1.1.0 release

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sun Jan 18 2004 Michel Alexandre Salim <salimma[AT]users.sf.net> 0:1.0.0-0.fdr.3
- Fixed Source URL
- wipe RPM_BUILD_ROOT before install
- Add GPL to packaged documentation

* Wed Dec 24 2003 Michel Alexandre Salim <salimma[AT]users.sourceforge.net> 0:1.0.0-0.fdr.2
- Added missing build dependency on python-devel
- Ghosted *.pyo

* Mon Oct 27 2003 Michel Alexandre Salim <salimma[AT]users.sourceforge.net> 0:1.0.0-0.fdr.1
- Initial Fedora release.
